Kde5 in main stream

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2804
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.11.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Kde5 in main stream

Messaggio da ponce »

projectM, kradio, qtspell e gimagereader dovrebbero essere sistemati su git (e il fine settimana quelli che non lo sono ancora saranno aggiunti al branch "current")

http://cgit.ponce.cc/slackbuilds/refs/heads

shiboken e' solo per qt4 quindi niente da fare, a patto che non vogliate ricompilarvi qt4 (e' uno script in fase di test senza la parte webkit)...

gian_d
Linux 2.x
Linux 2.x
Messaggi: 352
Iscritto il: mer 16 lug 2014, 17:35
Nome Cognome: Giancarlo Dessì
Slackware: 64 current
Kernel: 5.10.xx
Desktop: KDE 5.20
Località: Sardinia
Contatta:

Re: Kde5 in main stream

Messaggio da gian_d »

Per beneficio di inventario segnalo altri due problemi riscontrati.

Il primo riguarda Avogadro, la cui versione attuale, la 1.2, richiede Qt4. Probabilmente il problema è superato con Avogadro 2, ma sembra che attualmente siano rilasciati solo i binari, quindi nessuna possibilità di installare dai sorgenti.

Il secondo riguarda Insigh Toolkit (ITK). In questo caso l'errore è prodotto da CMake 3.19.x. Al momento credo che non ci siano soluzioni, però compila con versioni precedenti di CMake (almeno fino alla 3.18). Ho un pacchetto compilato a fine agosto (ho la buona abitudine di conservarmi sempre una copia dei pacchetti che compilo), sicuramente con cmake 3.18.1 o 2, che erano stati aggiornati da Pat tra luglio e agosto.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2804
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.11.2
Desktop: lxde
Località: Pisa
Contatta:

Re: Kde5 in main stream

Messaggio da ponce »

gian_d ha scritto:
mer 16 dic 2020, 23:51
Per beneficio di inventario segnalo altri due problemi riscontrati.

Il primo riguarda Avogadro, la cui versione attuale, la 1.2, richiede Qt4. Probabilmente il problema è superato con Avogadro 2, ma sembra che attualmente siano rilasciati solo i binari, quindi nessuna possibilità di installare dai sorgenti.
ah, se qualcuno decidesse di mantenere su SBo uno script per ripacchettizzare la versione binaria (io no ;) )...
Il secondo riguarda Insigh Toolkit (ITK). In questo caso l'errore è prodotto da CMake 3.19.x. Al momento credo che non ci siano soluzioni, però compila con versioni precedenti di CMake (almeno fino alla 3.18). Ho un pacchetto compilato a fine agosto (ho la buona abitudine di conservarmi sempre una copia dei pacchetti che compilo), sicuramente con cmake 3.18.1 o 2, che erano stati aggiornati da Pat tra luglio e agosto.
prova a sentire il maintainer su SBo, magari ha qualche soluzione/workaround...

gian_d
Linux 2.x
Linux 2.x
Messaggi: 352
Iscritto il: mer 16 lug 2014, 17:35
Nome Cognome: Giancarlo Dessì
Slackware: 64 current
Kernel: 5.10.xx
Desktop: KDE 5.20
Località: Sardinia
Contatta:

Re: Kde5 in main stream

Messaggio da gian_d »

ponce ha scritto:
gio 17 dic 2020, 11:15
gian_d ha scritto:
mer 16 dic 2020, 23:51
Per beneficio di inventario segnalo altri due problemi riscontrati.

Il primo riguarda Avogadro, la cui versione attuale, la 1.2, richiede Qt4. Probabilmente il problema è superato con Avogadro 2, ma sembra che attualmente siano rilasciati solo i binari, quindi nessuna possibilità di installare dai sorgenti.
ah, se qualcuno decidesse di mantenere su SBo uno script per ripacchettizzare la versione binaria (io no ;) )...
A parte il fatto che ho rinunciato da tempo a far girare su slackware binari compilati per distribuzioni debian-like, tagliamo la testa al toro: i binari disponibili sono solo per Windows e MacOS. Comunque ho visto che ci sono anche i sorgenti su Github, solo che bisognerebbe clonare il repository, cosa che non ho mai fatto, io sono per soluzioni più "manuali". Comunque, nulla esclude che in un periodo di più respiro possa cimentarmi a tirare su uno slackbuild.
Il secondo riguarda Insigh Toolkit (ITK)...
prova a sentire il maintainer su SBo, magari ha qualche soluzione/workaround...
Mah... aspettiamo, stanno arrivando segnalazioni agli sviluppatori, perciò quando avranno consapevolezza che le nuove versioni di cmake creano questo intoppo porranno rimedio. A mio parere si tratta di un problemino di poco conto, ma per intercettare il bug bisognerebbe tracciare la sequenza delle operazioni negli script di cmakelist. Altre volte l'ho fatto per altri pacchetti, ma adesso ho parecchie altre priorità personali da sbrigare e avendone già un pacchetto precompilato da pochi mesi preferisco installare quello.
Peraltro non ne ho neppure particolare bisogno, fa parte di quei software che mi tengo a portata di mano per studiarli all'occorrenza.

Rispondi